Warehouse settings
INFO
Har bir javob umumiy konvertda qaytadi — code, message, messages, status_code, time — foydali yuk esa data ichida. Quyidagi jadvallar faqat data ichini tavsiflaydi.
GET /warehouse-settings/get
Get the tenant's warehouse settings (created with defaults on first access).
So‘rov tanasi
So‘rov tanasi talab qilinmaydi.
Javob
| Maydon | Tur | Tavsif |
|---|---|---|
_id | string | |
account_id | string | |
direct_transfer | boolean | |
direct_acceptance | boolean | |
create_product_with_stock | boolean | |
show_sale_price_in_transfers | boolean |
json
{
"code": 0,
"message": "Success",
"status_code": 200,
"data": {
"_id": "string",
"account_id": "string",
"direct_transfer": false,
"direct_acceptance": false,
"create_product_with_stock": false,
"show_sale_price_in_transfers": false
},
"time": "2025-05-01T12:00:00Z"
}PUT /warehouse-settings/set
Update the tenant's warehouse settings (partial patch).
So‘rov tanasi
| Maydon | Tur | Majburiy | Tavsif |
|---|---|---|---|
direct_transfer | boolean | Yo‘q | Auto-accept internal transfers without a separate acceptance step |
direct_acceptance | boolean | Yo‘q | Auto-accept incoming stock on receipt |
create_product_with_stock | boolean | Yo‘q | Allow creating a product together with an initial stock quantity |
show_sale_price_in_transfers | boolean | Yo‘q | Show sale price on transfer documents |
json
{
"direct_transfer": false,
"direct_acceptance": false,
"create_product_with_stock": false,
"show_sale_price_in_transfers": false
}Javob
Javob tuzilishi quyidagi bilan bir xil: GET /warehouse-settings/get.
Bu sahifa OpenAPI spetsifikatsiyasidan yaratilgan.